package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.StringUtils;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.Version;
import java.util.Date;


/**
 * 固定源产排治--执行报告--污染治理设施异常情况对象 b_stat_table_zxbg_wrzl_abnormalities
 *
 * @author szhpt
 * @date 2023-07-31*/
@ApiModel(value = "固定源产排治--执行报告--污染治理设施异常情况")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_stat_table_zxbg_wrzl_abnormalities")
public class BStatTableZxbgWrzlAbnormalities extends BStatTableZxbgJbxxInfoFactoryBase
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;

    @ApiModelProperty(value = "执行报告类型，0：月报，1：季报，2：年报")
    /** 执行报告类型，0：月报，1：季报，2：年报 */
    @Excel(name = "执行报告类型")
    private String zxbgType;


    @ApiModelProperty(value = "执行报告周期")
    /** 执行报告周期 */
    @Excel(name = "报告周期")
    private String zxbgPeriod;


    @ApiModelProperty(value = "类型")
    /** 类型 */
    @Excel(name = "类型")
    private String zxbgPollutantType;


    @ApiModelProperty(value = "超标开始时间")
    /** 超标开始时间 */
    @Excel(name = "超标开始时间")
    private String overStartTime;


    @ApiModelProperty(value = "超标结束时间")
    /** 超标结束时间 */
    @Excel(name = "超标结束时间")
    private String overEndTime;


    @ApiModelProperty(value = "故障设备名称")
    /** 故障设备名称 */
    @Excel(name = "故障设备名称")
    private String facilityName;


    @ApiModelProperty(value = "故障设备编号")
    /** 故障设备编号 */
    @Excel(name = "故障设备编号")
    private String facilityCode;


    @ApiModelProperty(value = "污染因子")
    /** 污染因子 */
    @Excel(name = "污染因子")
    private String zxbgPollutant;


    @ApiModelProperty(value = "排放范围")
    /** 排放范围 */
    @Excel(name = "排放范围")
    private String dischargeRange;


    @ApiModelProperty(value = "应对措施")
    /** 应对措施 */
    @Excel(name = "应对措施")
    private String solutions;

    @ApiModelProperty(value = "原因")
    /** 原因 */
    @Excel(name = "原因")
    private String remark;

    public String getZxbgType() {
        return zxbgType;
    }

    public void setZxbgType(String zxbgType) {
        //0：月报，1：季报，2：年报
        if(StringUtils.isNotBlank(zxbgType)){
            if(zxbgType.equals("0")){this.zxbgType = "月报";}
            if(zxbgType.equals("1")){this.zxbgType = "季报";}
            if(zxbgType.equals("2")){this.zxbgType = "年报";}
        }else {
            this.zxbgType = zxbgType;
        }
    }




    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("factoryId", getFactoryId())
            .append("zxbgType", getZxbgType())
            .append("zxbgPeriod", getZxbgPeriod())
            .append("zxbgPollutantType", getZxbgPollutantType())
            .append("overStartTime", getOverStartTime())
            .append("overEndTime", getOverEndTime())
            .append("facilityName", getFacilityName())
            .append("facilityCode", getFacilityCode())
            .append("zxbgPollutant", getZxbgPollutant())
            .append("dischargeRange", getDischargeRange())
            .append("solutions", getSolutions())
            .append("createTime", getCreateTime())
            .append("remark", getRemark())
            .toString();
    }
}
